RADEON(__drivermansuffix__)

NAME
radeon - ATI RADEON video driver

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "radeon"
  ...
EndSection

DESCRIPTION
radeon is a XFree86 driver for ATI RADEON based video cards. It contains full support for 8, 15, 16 and 24 bit pixel depths, dual-head setup, flat panel, hardware 2D acceleration, hardware 3D acceleration (except R300 and IGP series cards), hardware cursor, XV extension, Xinerama extension.

SUPPORTED HARDWARE
The radeon driver supports PCI and AGP video cards based on the following ATI chips

R100
    Radeon 7200

RV100
    Radeon 7000(VE), M6

RS100
    Radeon IGP320(M) (2D only)

RV200
    Radeon 7500, M7, FireGL 7800

RS200
    Radeon IGP330(M)/IGP340(M) (2D only)

RS250
    Radeon Mobility 7000 IGP (2D only)

R200
    Radeon 8500, 9100, FireGL 8800/8700

RV250
    Radeon 9000PRO/9000, M9

RS300
    Radeon 9100 IGP (2D only)

RV280
    Radeon 9200PRO/9200/9200SE, M9+

R300
    Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1 (2D only)

R350
    Radeon 9800PRO/9800SE/9800, FireGL X2 (2D only)

R360
    Radeon 9800XT (2d only)

RV350
    Radeon 9600PRO/9600SE/9600, M10/M11, FireGL T2 (2D only)

RV360
    Radeon 9600XT (2d only)

CONFIGURATION DETAILS
Please refer to XF86Config(__filemansuffix__) for general configuration details. This section only covers configuration details specific to this driver.

The driver auto-detects all device information necessary to initialize the card. However, if you have problems with auto-detection, you can specify:

    VideoRam - in kilobytes
    MemBase - physical address of the linear framebuffer
    IOBase - physical address of the MMIO registers
    ChipID - PCI DEVICE ID

In addition, the following driver Options are supported:

Option "SWcursor" "boolean"
    Selects software cursor. The default is off.

Option "NoAccel" "boolean"
    Enables or disables all hardware acceleration.
    The default is to enable hardware acceleration.

Option "Dac6Bit" "boolean"
    Enables or disables the use of 6 bits per color component when in 8 bpp mode (emulates VGA mode). By default, all 8 bits per color component are used.
    The default is off.

Option "VideoKey" "integer"
    This overrides the default pixel value for the YUV video overlay key.
    The default value is 0x1E.

Option "UseFBDev" "boolean"
    Enable or disable use of an OS-specific framebuffer device interface (which is not supported on all OSs). See fbdevhw(__drivermansuffix__) for further information.
    The default is off.

Option "AGPMode" "integer"
    Set AGP data transfer rate. (used only when DRI is enabled)
    1 -- x1 (default)
    2 -- x2
    4 -- x4
    others -- invalid

Option "AGPFastWrite" "boolean"
    Enable AGP fast write.
    (used only when DRI is enabled)
    The default is off.

Option "BusType" "string"
    Used to replace previous ForcePCIMode option. Should only be used when driver's bus detection is incorrect or you want to force a AGP card to PCI mode. Should NEVER force a PCI card to AGP bus.
    PCI -- PCI bus
    AGP -- AGP bus
    PCIE -- PCI Express (falls back to PCI at present)
    (used only when DRI is enabled)
    The default is auto detect.

Option "ForcePCIMode" "boolean"
    Force to use PCI GART for DRI acceleration. This option is deprecated in favor of the BusType option above and will be removed in the next release.

Option "DDCMode" "boolean"
    Force to use the modes queried from the connected monitor.
    The default is off.

Option "DisplayPriority" "string"
    Used to prevent flickering or tearing problem caused by display buffer underflow.
    AUTO -- Driver calculated (default).
    BIOS -- Remain unchanged from BIOS setting.
              Use this if the calculation is not correct
              for your card.
    HIGH -- Force to the highest priority.
              Use this if you have problem with above options.
              This may affect performence slightly.
    The default value is AUTO.

Option "MonitorLayout" "string"
    This option is used to overwrite the detected monitor types. This is only required when driver makes a false detection. The possible monitor types are:
    NONE -- Not connected
    CRT -- Analog CRT monitor
    TMDS -- Desktop flat panel
    LVDS -- Laptop flat panel
    This option can be used in following format:
    Option "MonitorLayout" "[type on primary], [type on secondary]"
    For example, Option "MonitorLayout" "CRT, TMDS" Primary/Secondary head for dual-head cards:
    (when only one port is used, it will be treated as the primary regardless)
    Primary head:
    DVI port on DVI+VGA cards
    LCD output on laptops
    Internal TMDS prot on DVI+DVI cards
    Secondary head:
    VGA port on DVI+VGA cards
    VGA port on laptops
    External TMDS port on DVI+DVI cards The default value is undefined.

Option "CloneMode" "string"
    Set the first mode for the secondary head. It can be different from the modes used for the primary head. If you don't have this line while clone is on, the modes specified for the primary head will be used for the secondary head.
    For example, Option "CloneMode" "1024x768"
    The default value is undefined.

Option "CloneHSync" "string"
    Set the horizontal sync range for the secondary monitor. It is not required if a DDC-capable monitor is connected.
    For example, Option "CloneHSync" "30.0-86.0"
    The default value is undefined.

Option "CloneVRefresh" "string"
    Set the vertical refresh range for the secondary monitor. It is not required if a DDC-capable monitor is connected.
    For example, Option "CloneVRefresh" "50.0-120.0"
    The default value is undefined.

Option "OverlayOnCRTC2" "boolean"
    Force hardware overlay to clone head.
    The default value is off.

Option "IgnoreEDID" "boolean"
    Do not use EDID data for mode validation, but DDC is still used for monitor detection. This is different from NoDDC option.
    The default value is off.

Option "PanelSize" "string"
    Should only be used when driver cannot detect the correct panel size. Apply to both desktop (TMDS) and laptop (LVDS) digital panels. When a valid panel size is specified, the timings collected from DDC and BIOS will not be used. If you have a panel with timings different from that of a standard VESA mode, you have to provide this information through the Modeline.
    For example, Option "PanelSize" "1400x1050"
    The default value is none.

Option "PanelOff" "boolean"
    Disable panel output. Only used when clone is enabled.
    The default value is off.

Option "EnablePageFlip" "boolean"
    Enable page flipping for 3D acceleration. This will increase performance but not work correctly in some rare cases, hence the default is off.

Option "ForceMinDotClock" "frequency"
    Override minimum dot clock. Some Radeon BIOSes report a minimum dot clock unsuitable (too high) for use with television sets even when they actually can produce lower dot clocks. If this is the case you can override the value here. Note that using this option may damage your hardware. You have been warned. The frequency parameter may be specified as a float value with standard suffixes like "k", "kHz", "M", "MHz".

SEE ALSO
XFree86(1), XF86Config(__filemansuffix__), xf86config(1), Xserver(1), X(__miscmansuffix__)

AUTHORS
Authors include: ...